| rsaEncryption |
1.2.840.113549.1.1.1 |
RFC 8017 |
| dsa |
1.2.840.10040.4.1 |
RFC 3279 |
| md2 |
1.2.840.113549.2.2 |
RFC 3279 |
| md5 |
1.2.840.113549.2.5 http://www.w3.org/2001/04/xmldsig-more#md5 |
RFC 3279; RFC 4051 |
| sha-1 |
1.3.14.3.2.26 http://www.w3.org/2000/09/xmldsig#sha1 |
RFC 3279; RFC 4051 |
| sha-224 |
2.16.840.1.101.3.4.2.4 http://www.w3.org/2001/04/xmldsig-more#sha224 |
RFC 4055; RFC 4051 |
| sha-256 |
2.16.840.1.101.3.4.2.1 |
RFC 4055 |
| sha-384 |
2.16.840.1.101.3.4.2.2 http://www.w3.org/2001/04/xmldsig-more#sha384 |
RFC 4055; RFC 4051 |
| sha-512 |
2.16.840.1.101.3.4.2.3 |
RFC 4055 |
| md2WithRSAEncryption |
1.2.840.113549.1.1.2 |
RFC 3443 |
| md5WithRSAEncryption |
1.2.840.113549.1.1.4 http://www.w3.org/2001/04/xmldsig-more#rsa-md5 |
RFC 3443; RFC 4051 |
| sha1WithRSAEncryption |
1.2.840.113549.1.1.5 http://www.w3.org/2000/09/xmldsig#rsa-sha1 |
RFC 3443; RFC 3275 |
| sha256WithRSAEncryption |
1.2.840.113549.1.1.11 http://www.w3.org/2001/04/xmldsig-more#rsa-sha256 |
RFC 3443; RFC 4051 |
| sha384WithRSAEncryption |
1.2.840.113549.1.1.12 http://www.w3.org/2001/04/xmldsig-more#rsa-sha384 |
RFC 3443; RFC 4051 |
| sha512WithRSAEncryption |
1.2.840.113549.1.1.13 http://www.w3.org/2001/04/xmldsig-more#rsa-sha512 |
RFC 3443; RFC 4051 |
| sha1WithDSA |
1.2.840.10040.4.3 http://www.w3.org/2000/09/xmldsig#dsa-sha1 |
RFC 3279; RFC 3275 |